Bug 1276611 - dnf dowload --resolve should download everytime requested packages
dnf dowload --resolve should download everytime requested packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 05:55 EDT by Florian Morgan
Modified: 2017-04-01 13:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 13:22:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Morgan 2015-10-30 05:55:36 EDT
Description of problem:
When using --resolve option with dnf download, the requested package is not downloaded when already install in the system with a previous version.

Version-Release number of selected component (if applicable):
Using dnf-plugins-core-0.1.13-1.fc22


How reproducible:
Always


Steps to Reproduce:
1. Use the bare minimum Fedora 22 (I'm using Docker with the container: 'fedora:22'/'8ee526697d01') without updates.
2. Install dnf-plugins-core-0.1.13-1.fc22
3. Make sure libgcc is installed in a 'base' version: libgcc-5.1.1-1.fc22.x86_64
4. Run 'dnf download --resolve --destdir /packages-cache libgcc.x86_64'

Actual results:
Nothing is downloaded in /packages-cache

Expected results:
libgcc-5.1.1-4.fc22.x86_64.rpm should be downloaded in /packages-cache

Additional info:
When not using the '--resolve' option, the package is successfully downloaded.
Comment 1 Honza Silhan 2015-11-02 10:37:54 EST
we'll take a look.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:33:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 15:58:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Igor Gnatenko 2016-07-19 18:11:14 EDT
probably workaround could be to use --installroot, but still this is a bug.
Comment 5 Jan Kurik 2016-07-26 01:01:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 6 Štěpán Smetana 2016-08-15 04:07:28 EDT
Created PR: https://github.com/rpm-software-management/dnf-plugins-core/pull/192
Comment 7 Fedora Update System 2017-03-21 09:04:11 EDT
dnf-plugins-core-1.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f56311f5dd
Comment 8 Fedora Update System 2017-03-22 11:26:33 EDT
dnf-plugins-core-1.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f56311f5dd
Comment 9 Fedora Update System 2017-04-01 13:22:32 EDT
dnf-plugins-core-1.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.